function [da dd] = NormTrust(M, D, N, pa, varargin)
% function [da dd] = NormTrust(M, D, N, pa, varargin)
%        
%      
% M  -  
% D  -  
% N  -  
% pa -    
% pd -     (  )

if nargin > 4
  pd = varargin{1};
else
  pd = pa;
end

qa = tinv(1 - (1-pa)/2, N-1);
da(1) = M - qa * sqrt(D/N);
da(2) = M + qa * sqrt(D/N);    

qd1 = chi2inv((1-pd)/2, N-1);
qd2 = chi2inv(1 - (1-pd)/2, N-1);
dd(1) = (N-1)/qd2*D;
dd(2) = (N-1)/qd1*D;
